#include <Arduino.h>
#include <cstdlib>
#include <unity.h>

#include "test_simpleled.h"

#ifdef UNIT_TEST


#define RUN_TEST_GROUP(TEST) \
    if (!std::getenv("TEST_GROUP") || (strcmp(#TEST, std::getenv("TEST_GROUP")) == 0)) { \
        TEST::run_tests(); \
    }

void setUp(void)
{
    ArduinoFakeReset();
}

int main(int argc, char **argv) {
    UNITY_BEGIN();

    RUN_TEST_GROUP(simpleLedTest);

    UNITY_END();
}



#endif //UNIT_TEST